using PARR.Domain.DTOs.Shortcode;
using PARR.Domain.Entities;
using System.Runtime.CompilerServices;

namespace PARR.Core.Services.Shortcodes
{
    public interface IShortcodesService
    {
        Task<string> ApplyShortcodesAsync(string str, Template template, [CallerMemberName] string? caller = null);

        Task<List<ShortcodeInfoDto>> GetAvailableShortcodesAsync();
    }
}
